<?php

namespace DTInternet\DtiOnlineconsulting\Controller;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2022 Stefan Bublies <bublies@dt-internet.de>
 *
 *  All rights reserved
 *
 ***************************************************************/

use \TYPO3\CMS\Core\Utility\GeneralUtility;
use \TYPO3\CMS\Extbase\Mvc\Controller\ActionController;
use DTInternet\DtiUsermanagement\Utility\FeuserUtility;
use DTInternet\DtiOnlineconsulting\Utility\LivechatApiUtility;
use TYPO3\CMS\Extbase\Domain\Repository\FrontendUserRepository;

/**
 * (c) 2022 Stefan Bublies bublies@dt-internet.de
 */
class StateController extends ActionController
{
    /**
     * livechatRepository
     *
     * @var \DTInternet\DtiOnlineconsulting\Domain\Repository\LivechatRepository
     */
    protected $livechatRepository = null;

    /**
     * @param \DTInternet\DtiOnlineconsulting\Domain\Repository\LivechatRepository $livechatRepository
     */
    public function injectLivechatRepository(\DTInternet\DtiOnlineconsulting\Domain\Repository\LivechatRepository $livechatRepository)
    {
        $this->livechatRepository = $livechatRepository;
    }
    public function checkChatAction()
    {
        $feUserData = FeuserUtility::get();

        if ($feUserData['usergroup'] == 1) { // Noch per Konstante zu definieren
            $activeChats = $this->livechatRepository->findByAgent($feUserData['uid'])->getFirst();
            if ($activeChats) {
                return json_encode(array('newChat' => 1));
            } else {
                return json_encode(array('newChat' => 0));
            }
        } else {
            return json_encode(array('newChat' => 2)); // Do nothing in FE
        }
    }
}
