<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topics',
        'label' => 'bodytext',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'versioningWS' => true,
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ],
        'searchFields' => 'title',
        'iconfile' => 'EXT:dti_onlineconsulting/Resources/Public/Icons/tx_dtionlineconsulting_domain_model_topics.png'
    ],
    'interface' => [
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, bodytext, answers, feuser, agent, closed, userstate, agentstate',
    ],
    'types' => [
        '1' => ['showitem' => '--div--; Allgemein,sys_language_uid, l10n_parent, l10n_diffsource, hidden, bodytext, answers, feuser, agent, closed, userstate, agentstate, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, starttime, endtime'],
    ],
    'columns' => [
        'sys_language_uid' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.language',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'special' => 'languages',
                'items' => [
                    [
                        'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.allLanguages',
                        -1,
                        'flags-multiple'
                    ]
                ],
                'default' => 0,
            ],
        ],
        'l10n_parent' => [
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.l18n_parent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'default' => 0,
                'items' => [
                    ['', 0],
                ],
                'foreign_table' => 'tx_dtionlineconsulting_domain_model_topics',
                'foreign_table_where' => 'AND {#tx_dtionlineconsulting_domain_model_topics}.{#pid}=###CURRENT_PID### AND {#tx_dtionlineconsulting_domain_model_topics}.{#sys_language_uid} IN (-1,0)',
            ],
        ],
        'l10n_diffsource' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
        't3ver_label' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.versionLabel',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            ],
        ],
        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'invertStateDisplay' => true
                    ]
                ],
            ],
        ],
        'starttime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],
        'endtime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.endtime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'range' => [
                    'upper' => mktime(0, 0, 0, 1, 1, 2038)
                ],
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],

        'bodytext' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topics.bodytext',
            'config' => [
                'type' => 'text',
                'enableRichtext' => false,
                'richtextConfiguration' => 'default',
                'fieldControl' => [
                    'fullScreenRichtext' => [
                        'disabled' => false,
                    ],
                ],
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
                'readOnly' => 1
            ],
        ],
        'answers' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topics.answers',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectMultipleSideBySide',
                'foreign_table' => 'tx_dtionlineconsulting_domain_model_topicanswers',
                'foreign_sortby' => 'sorting',
                'MM' => 'tx_dtionlineconsulting_domain_model_topicanswers_mm',
                'size' => 10,
                'autoSizeMax' => 30,
                'minitems' => 0,
                'maxitems' => 9999,
                'readOnly' => 1
            ],

        ],
        'feuser' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topicanswers.feuser',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'fe_users',
                'minitems' => 0,
                'maxitems' => 1,
                'readOnly' => 1
            ],
        ],
        'agent' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topicanswers.agent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'fe_users',
                'minitems' => 0,
                'maxitems' => 1,
                'readOnly' => 1
            ],
        ],
        'crdate' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
        'closed' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topics.closed',
            'config' => [
                'type' => 'check',
            ]
        ],
        'userstate' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topics.userstate',
            'config' => [
                'type' => 'check',
            ]
        ],
        'agentstate' => [
            'exclude' => true,
            'label' => 'LLL:EXT:dti_onlineconsulting/Resources/Private/Language/locallang_db.xlf:tx_dtionlineconsulting_domain_model_topics.agentstate',
            'config' => [
                'type' => 'check',
            ]
        ],
    ],
];
