<?php

namespace dti;

use DTInternet\DtiUsermanagement\Utility\FeuserUtility;
use DTInternet\DtiUsermanagement\Utility\HelperUtility;
use DTInternet\DtiUsermanagement\Utility\ArraysUtility;
use DTInternet\DtiUsermanagement\Utility\Tsfe;
use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Object\ObjectManager;
use TYPO3\CMS\Core\Utility\VersionNumberUtility;

class typo3 {

    /**
     * @return HelperUtility
     */
    public static function Helper() {
        return self::injectClass(HelperUtility::class);
    }

    /**
     * @return FeuserUtility
     */
    public static function FeUser() {
        return self::injectClass(FeuserUtility::class);
    }

    /**
     * @return ArraysUtility
     */
    public static function Arrays() {
        return self::injectClass(ArraysUtility::class);
    }

    /**
     * @return Tsfe
     */
    public static function Tsfe() {
        return self::injectClass(Tsfe::class);
    }

    /**
     * Schnellste Art, eine Klasse zu instanziieren.
     * Verwendet ObjectManager.
     * @return mixed
     */
    public static function injectClass($class) {
        if (!class_exists($class)) return false;
        $class = ltrim( $class, '\\');

        if (is_a($class, \DTInternet\DtiUsermanagement\Singleton::class, true)) {
            return call_user_func($class . '::makeInstance');
        }

        $objectManager = GeneralUtility::makeInstance(ObjectManager::class);
        return $objectManager->get($class);
    }

    /**
     *  Die Typo3-Version auslesen
     *	@return float
     */
    public static function t3Version() {
        return floor(VersionNumberUtility::convertVersionNumberToInteger(TYPO3_version)/1000000);
    }
}
