<?php
defined('TYPO3_MODE') || die();

$tmp_columns = [
    'known' => [
        'exclude' => true,
        'label' => 'LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.known',
        'config' => [
            'type' => 'check',
        ]
    ],
    'secretkey' => [
        'exclude' => true,
        'label' => 'LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.secretkey',
        'config' => [
            'type' => 'input',
            'eval' => 'trim',
            'readOnly' => 1
        ]
    ],
    'deletedate' => [
        'exclude' => true,
        'label' => 'LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.deletedate',
        'config' => [
            'type' => 'input',
            'renderType' => 'inputDateTime',
            'eval' => 'datetime,int',
            'default' => 0,
            'range' => [
                'upper' => mktime(0, 0, 0, 1, 1, 2038)
            ],
            'behaviour' => [
                'allowLanguageSynchronization' => true
            ],
            'readOnly' => 1
        ]
    ],
    'topics' => [
        'exclude' => true,
        'label' => 'LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.topics',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectMultipleSideBySide',
            'foreign_table' => 'tx_dtionlineconsulting_domain_model_topics',
            'foreign_sortby' => 'sorting',
            'MM' => 'tx_dtionlineconsulting_domain_model_topics_mm',
            'default' => 0,
            'size' => 10,
            'autoSizeMax' => 30,
            'minitems' => 0,
            'maxitems' => 9999,
            'readOnly' => 1
        ],

    ],
    'videoconsulting' => [
        'exclude' => true,
        'label' => 'LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.videoconsulting',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectMultipleSideBySide',
            'foreign_table' => 'tx_dtionlineconsulting_domain_model_videoconsulting',
            'foreign_sortby' => 'sorting',
            'MM' => 'tx_dtionlineconsulting_domain_model_videoconsulting_mm',
            'default' => 0,
            'size' => 10,
            'autoSizeMax' => 30,
            'minitems' => 0,
            'maxitems' => 9999,
            'readOnly' => 1
        ],

    ],
    'categories' => [
        'exclude' => true,
        'label' => 'LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.categories',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectMultipleSideBySide',
            'foreign_table' => 'tx_dtionlineconsulting_domain_model_categories',
            'foreign_sortby' => 'sorting',
            'MM' => 'tx_dtionlineconsulting_domain_model_categories_mm',
            'default' => 0,
            'size' => 10,
            'autoSizeMax' => 30,
            'minitems' => 0,
            'maxitems' => 9999,
            'readOnly' => 1
        ],
    ],
    'isonline' => [
        'exclude' => true,
        'label' => 'LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.isonline',
        'config' => [
            'type' => 'check',
        ]
    ],
    'chatavailable' => [
        'exclude' => true,
        'label' => 'LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.chatavailable',
        'config' => [
            'type' => 'check',
        ]
    ],
];

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('fe_users', $tmp_columns);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'fe_users',
    '--palette--;LLL:EXT:dti_usermanagement/Resources/Private/Language/locallang_be.xlf:label.user_management;user_management',
    '',
    'after:lastlogin'
);

// Add the new palette:
$GLOBALS['TCA']['fe_users']['palettes']['user_management'] = array(
    'showitem' => 'secretkey,known,topics,videoconsulting,categories,deletedate,isonline,chatavailable'
);
