<?php
defined('TYPO3_MODE') || die('Access denied.');

if (version_compare(TYPO3_branch, '11.0', '>=')) {
    $moduleClass = \DTInternet\DtiUsermanagement\Controller\RegisterController::class;
    $moduleClassServices = \DTInternet\DtiUsermanagement\Controller\ServicesController::class;
} else {
    $moduleClass = 'Register';
    $moduleClassServices = 'Services';
}

$extPath = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('dti_usermanagement');
require_once($extPath . 'Classes/dtihelpers.php');

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'DTInternet.DtiUsermanagement',
    'Register',
    [
        $moduleClass => 'register'
    ],
    // non-cacheable actions
    [
    ]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'DTInternet.DtiUsermanagement',
    'Agentstate',
    [
        $moduleClass => 'agentstate'
    ],
    // non-cacheable actions
    [
        $moduleClass => 'agentstate'
    ]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'DTInternet.DtiUsermanagement',
    'Usermanagement',
    [
        $moduleClass => 'update, delete'
    ],
    // non-cacheable actions
    [
        $moduleClass => 'update, delete'
    ]
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
    'DTInternet.DtiUsermanagement',
    'Services',
    [
        $moduleClassServices => 'services'
    ],
    // non-cacheable actions
    [
    ]
);

// wizards
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
    'mod {
                        wizards.newContentElement.wizardItems.plugins {
                            elements {
                                register {
                                    iconIdentifier = dti_usermanagement
                                    title = Registrierungsformular
                                    description = Registrierungsformular für FE-Benutzer
                                    tt_content_defValues {
                                        CType = list
                                        list_type = dtiusermanagement_register
                                    }
                                }
                                usermanagement {
                                    iconIdentifier = dti_usermanagement
                                    title = Benutzerveraltung
                                    description = Update und Löschugn der Benuterdaten
                                    tt_content_defValues {
                                        CType = list
                                        list_type = dtiusermanagement_usermanagement
                                    }
                                }
                                agentstate {
                                    iconIdentifier = dti_usermanagement
                                    title = Agent-Status
                                    description = Einstellung des Agentenstatuses
                                    tt_content_defValues {
                                        CType = list
                                        list_type = dtiusermanagement_agentstate
                                    }
                                }
                            }
                            show = *
                        }
                   }'
);

$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);

$iconRegistry->registerIcon(
    'dti_usermanagement',
    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
    ['source' => 'EXT:dti_usermanagement/Resources/Public/Icons/usermanagement_plugin.svg']
);


/************************************************************************
 * XCLASS
 ************************************************************************/
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects'][TYPO3\CMS\Extbase\Domain\Model\FrontendUser::class] = [
    'className' =>  \DTInternet\DtiUsermanagement\Domain\Model\Dto\User::class,
];

// Register extended domain class
\TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\Object\Container\Container::class)
    ->registerImplementation(
        TYPO3\CMS\Extbase\Domain\Model\FrontendUser::class,
        \DTInternet\DtiUsermanagement\Domain\Model\Dto\User::class
    );

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['scheduler']['tasks']['DTInternet\DtiUsermanagement\Tasks\CleanSessionTable'] = [
    'extension' => 'dti_usermanagement',
    'title' => 'Beratungsplattform – Aufräumen der Agenten-Logins',
    'description' => 'Job der alle 5 Minuten läuft um inaktive Agents zu entfernen'
];

